--- title: "Provision certificate" slug: "edge-postcertificate" updated: 2026-09-17T10:05:54Z published: 2026-09-17T10:05:54Z canonical: "api.ncloud-docs.com/edge-postcertificate" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Provision certificate Available in Classic and VPC Provision a certificate. Note To provision a certificate, you must first issue a certificate or register an external certificate through the Certificate Manager service. The console supports both certificate issuance and external certificate registration, but the API only supports external certificate registration. For more information on how to issue and register certificates, see the following: - Issue or register a certificate from the console: See the [Certificate Manager user guide](https://guide.ncloud-docs.com/docs/en/security-security-15-1). - Register an external certificate using API: See the [Certificate Manager API guide](/docs/en/security-certificatemanager). ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/certificate/provisioning | ### Request headers For information about the headers common to all Global Edge APIs, see [Global Edge request headers](/docs/en/edge-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `serviceRegion` | String | Required | Service area - `KR_JP` \| `KR_JP_GLOBAL` - `KR_JP`: Korea, Japan - `KR_JP_GLOBAL`: Global | | `cmCertificateIds` | Array | Required | Certificate number list - Number of the certificate registered in the Certificate Manager service - For `KR_JP`: One Korea, Japan certificate required - For `KR_JP_GLOBAL`: One Korea, Japan certificate and one global certificate required | | `tlsVersion` | String | Required | TLS protocol supported version - `TLS_ALL_VERSIONS` \| `TLS_MIN_VERSION_1_2` - `TLS_ALL_VERSIONS`: All TLS versions - `TLS_MIN_VERSION_1_2`: TLS 1.2 or later (recommended) | | `cipherProfile` | String | Required | Active password profile - `DEFAULT` \| `GENERAL` \| `STRICT` - `DEFAULT`: GE-DEFAULT-v1 - `GENERAL`: GE-GENERAL-v1 - `STRICT`: GE-STRICT-v1 - If `tlsVersion` is `TLS_ALL_VERSIONS`, `STRICT` can't be used. | ### Request example The request example is as follows: ``` curl --location --request POST 'https://edge.apigw.ntruss.com/api/v1/certificate/provisioning' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "serviceRegion": "KR_JP_GLOBAL", "cmCertificateIds": [ 8***5, 8***8 ], "tlsVersion": "TLS_MIN_VERSION_1_2", "cipherProfile": "STRICT" }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | String | - | Response code | | `message` | String | - | Response message | | `result` | Boolean | - | Response result - `true` \| `false` - `true`: Succeeded - `false`: Failed | ### Response status codes For information about the HTTP status codes common to all Global Edge APIs, see [Global Edge response status codes](/docs/en/edge-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": "0000", "message": "Success", "result": true } ```